/*-
 * Copyright (c) 2003-2006 Andrey Simonenko
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *   @(#)$Id: config_add.h,v 1.2 2010/09/30 18:00:14 simon Exp $
 */

#define EMPTY

#define IPA_SDB_CONFIG_H

#if defined(WITH_LIMITS) || defined(WITH_THRESHOLDS)
# define WITH_ANY_LIMITS
#endif

#ifdef HAVE_STDINT_H
# include <stdint.h>
#endif

#ifdef HAVE_INTTYPES_H
# include <inttypes.h>
#endif

#ifndef UINT16_MAX
# define UINT16_MAX	0xfffff
#endif

#ifdef HAVE_ATTR_FORMAT
# define ATTR_FORMAT(x, y, z) __attribute__ ((format (x, y, z)))
#else
# define ATTR_FORMAT(x, y, z)
#endif

#ifdef lint
# undef ATTR_FORMAT
# undef ATTR_NORETURN
# undef ATTR_PACKED
# undef ATTR_UNUSED
# define ATTR_FORMAT(x, y, z)
# define ATTR_NORETURN
# define ATTR_PACKED
# define ATTR_UNUSED
#endif /* lint */
